gtkmm 2.4: Gdk::Display Class Reference

Main Page Widgets Namespaces Book

# Gdk::Display Class Reference

Inheritance diagram for Gdk::Display:

[legend]
List of all members.

## Detailed Description

Gdk::Display object's purpose is two fold: To grab/ungrab keyboard focus and mouse pointer To manage and provide information about the Gdk::Screen(s) available for this Gdk::Display.

Gdk::Display objects are the GDK representation of the X Display which can be described as a workstation consisting of a keyboard a pointing device (such as a mouse) and one or more screens. It is used to open and keep track of various Gdk::Screen objects currently instantiated by the application. It is also used to grab and release the keyboard and the mouse pointer.

## Public Member Functions
void | add_client_message_filter (Glib::ustring& message_type, GdkFilterFunc func, gpointer data)
| Adds a filter to be called when X ClientMessage events are received.
void | beep ()
| Emits a short beep on display.
void | close ()
| Closes the connection to the windowing system for the given display, and cleans up associated resources.
void | flush ()
| Flushes any requests queued for the windowing system; this happens automatically when the main loop blocks waiting for new events, but if your application is drawing without returning control to the main loop, you may need to call this function explicitely.
Glib::RefPtr<const Device> | get_core_pointer () const
| Return value: the core pointer device; this is owned by the.
Glib::RefPtr<Device> | get_core_pointer ()
| Return value: the core pointer device; this is owned by the.
guint | get_default_cursor_size () const
| Returns: the default cursor size.
Glib::RefPtr<const Window> | get_default_group () const
| Return value: The default group leader window for display.
Glib::RefPtr<Window> | get_default_group ()
| Return value: The default group leader window for display.
Glib::RefPtr<const Screen> | get_default_screen () const
| Get the default Gdk::Screen for display .
Glib::RefPtr<Screen> | get_default_screen ()
| Get the default Gdk::Screen for display .
guint32 | get_drag_protocol (guint32 xid, GdkDragProtocol& protocol)
| Finds out the DND protocol supported by a window.
const GdkEvent* | get_event () const
| Gets the next Gdk::Event to be processed for display , fetching events from the windowing system if necessary.
GdkEvent* | get_event ()
| Gets the next Gdk::Event to be processed for display , fetching events from the windowing system if necessary.
const GdkKeymap* | get_keymap () const
| Returns: The Gdk::Keymap attached to display .
GdkKeymap* | get_keymap ()
| Returns: The Gdk::Keymap attached to display .
void | get_maximal_cursor_size (guint& width, guint& height)
| Gets the maximal size to use for cursors on display .
int | get_n_screens () const
| Gets the number of screen managed by the display .
Glib::ustring | get_name () const
| Gets the name of the display.
void | get_pointer (int& x, int& y, ModifierType& mask)
| Gets the current location of the pointer and the current modifier mask for a given display.
void | get_pointer (Glib::RefPtr<Screen>& screen, int& x, int& y, ModifierType& mask)
| Gets the current location of the pointer and the current modifier mask for a given display.
Glib::RefPtr<const Screen> | get_screen (int screen_num) const
| Returns: the Gdk::Screen object.
Glib::RefPtr<Screen> | get_screen (int screen_num)
| Returns: the Gdk::Screen object.
Glib::RefPtr<Window> | get_selection_owner (const Glib::ustring& selection)
Glib::RefPtr<const Window> | get_window_at_pointer () const
| Obtains the window underneath the mouse pointer.
Glib::RefPtr<Window> | get_window_at_pointer ()
| Obtains the window underneath the mouse pointer.
Glib::RefPtr<const Window> | get_window_at_pointer (int& win_x, int& win_y) const
| Obtains the window underneath the mouse pointer, returning the location of that window in win_x , win_y for screen .
Glib::RefPtr<Window> | get_window_at_pointer (int& win_x, int& win_y)
| Obtains the window underneath the mouse pointer, returning the location of that window in win_x , win_y for screen .
const GdkDisplay* | gobj () const
| Provides access to the underlying C GObject.
GdkDisplay* | gobj ()
| Provides access to the underlying C GObject.
GdkDisplay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | keyboard_ungrab (guint32 timestamp)
| Release any keyboard grab.
Glib::ListHandle< Glib::RefPtr< const Device > > | list_devices () const
| Return value: a list of Gdk::Device.
Glib::ListHandle< Glib::RefPtr< Device > > | list_devices ()
| Return value: a list of Gdk::Device.
Glib::RefPtr<const Pixmap> | lookup_pixmap (NativeWindow anid) const
| Looks up the Gdk::Pixmap that wraps the given native pixmap handle.
Glib::RefPtr<Pixmap> | lookup_pixmap (NativeWindow anid)
| Looks up the Gdk::Pixmap that wraps the given native pixmap handle.
GdkEvent* | peek_event () const
| Gets a copy of the first Gdk::Event in the display 's event queue, without removing the event from the queue.
GdkEvent* | peek_event ()
| Gets a copy of the first Gdk::Event in the display 's event queue, without removing the event from the queue.
bool | pointer_is_grabbed () const
| Test if the pointer is grabbed.
void | pointer_ungrab (guint32 timestamp)
| Release any pointer grab.
void | put_event (GdkEvent* event)
| Appends a copy of the given event onto the front of the event queue for display .
bool | request_selection_notification (const Glib::ustring& selection)
| Request Gdk::EventOwnerChange events for ownership changes of the selection named by the given atom.
void | selection_send_notify (guint32 requestor, Glib::ustring& selection, Glib::ustring& target, Glib::ustring& property, guint32 time_)
void | set_double_click_distance (guint distance)
| Sets the double click distance (two clicks within this distance count as a double click and result in a Gdk::2BUTTON_PRESS event).
void | set_double_click_time (guint msec)
| Sets the double click time (two clicks within this time interval count as a double click and result in a Gdk::2BUTTON_PRESS event).
GdkDisplayPointerHooks* | set_pointer_hooks (const GdkDisplayPointerHooks* new_hooks)
| This function allows for hooking into the operation of getting the current location of the pointer on a particular display.
bool | set_selection_owner (const Glib::RefPtr<Window>& owner, Glib::ustring& selection, guint32 time_, bool send_event)
Glib::SignalProxy1< void, bool > | signal_closed ()
| The closed signal is emitted when the connection to the windowing system for this display is closed.
void | store_clipboard (const Glib::RefPtr<Gdk::Window>& clipboard_window, guint32 time_, const Glib::StringArrayHandle& targets)
void | store_clipboard (const Glib::RefPtr<Gdk::Window>& clipboard_window, guint32 time_)
| Issues a request to the clipboard manager to store the clipboard data, saving all available targets.
bool | supports_clipboard_persistence () const
| Returns: `true` if the display supports clipboard persistance.
bool | supports_composite () const
| Returns: `true` if windows may be composited.
bool | supports_cursor_alpha () const
| Returns: whether cursors can have alpha channels.
bool | supports_cursor_color () const
| Returns: whether cursors can have multiple colors.
bool | supports_input_shapes () const
| Returns: `true` if windows with modified input shape are supported.
bool | supports_selection_notification () const
| Return value: whether Gdk::EventOwnerChange events will.
bool | supports_shapes () const
| Returns: `true` if shaped windows are supported.
void | sync ()
| Flushes any requests queued for the windowing system and waits until all requests have been handled.
GdkDisplayPointerHooks* | unset_pointer_hooks ()
void | warp_pointer (const Glib::RefPtr<Screen>& screen, int x, int y)
| Warps the pointer of display to the point x , y on the screen screen , unless the pointer is confined to a window by a grab, in which case it will be moved as far as allowed by the grab.
virtual | ~Display ()
## Static Public Member Functions
static Glib::RefPtr<Display> | get_default ()
| Gets the default Gdk::Display.
static Glib::RefPtr<Display> | open (const Glib::ustring& display_name)
| Opens a display.
static Glib::RefPtr<Display> | open_default_libgtk_only ()
| Opens the default display specified by command line arguments or environment variables, sets it as the default display, and returns it.
## Protected Member Functions
| Display ()
virtual void | on_closed (bool is_error)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gdk::Display> | wrap (GdkDisplay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdk::Display::~Display | ( |  | ) | `[virtual]`

Gdk::Display::Display | ( |  | ) | `[protected]`

## Member Function Documentation

void Gdk::Display::add_client_message_filter | ( | Glib::ustring & | message_type,
|  | GdkFilterFunc | func,
|  | gpointer | data |
| ) |  |  |

Adds a filter to be called when X ClientMessage events are received.

See gdk_window_add_filter() if you are interested in filtering other types of events.

Since gtkmm 2.2:

Parameters:

  | message_type | The type of ClientMessage events to receive. This will be checked against the message_type field of the XClientMessage event struct.
  | func | The function to call to process the event.
  | data | User data to pass to func .

void Gdk::Display::beep | ( |  | ) |

Emits a short beep on display.

Since gtkmm 2.2:

void Gdk::Display::close | ( |  | ) |

Closes the connection to the windowing system for the given display, and cleans up associated resources.

Since gtkmm 2.2:

void Gdk::Display::flush | ( |  | ) |

Flushes any requests queued for the windowing system; this happens automatically when the main loop blocks waiting for new events, but if your application is drawing without returning control to the main loop, you may need to call this function explicitely.

A common case where this function needs to be called is when an application is executing drawing commands from a thread other than the thread where the main loop is running.

This is most useful for X11. On windowing systems where requests are handled synchronously, this function will do nothing.

Since gtkmm 2.4:

Glib::RefPtr<const Device> Gdk::Display::get_core_pointer | ( |  | ) | const

Return value: the core pointer device; this is owned by the.

Returns:
  The core pointer device; this is owned by the display and should not be freed.

Since gtkmm 2.2:

Glib::RefPtr<Device> Gdk::Display::get_core_pointer | ( |  | ) |

Return value: the core pointer device; this is owned by the.

Returns:
  The core pointer device; this is owned by the display and should not be freed.

Since gtkmm 2.2:

static Glib::RefPtr<Display> Gdk::Display::get_default | ( |  | ) | `[static]`

Gets the default Gdk::Display.

This is a convenience function for:

gdk_display_manager_get_default_display (manager_get())

Returns:
  A Gdk::Display, or `0` if there is no default display.

Since gtkmm 2.2:

guint Gdk::Display::get_default_cursor_size | ( |  | ) | const

Returns: the default cursor size.

Returns:
  The default cursor size.

Since gtkmm 2.4:

Glib::RefPtr<const Window> Gdk::Display::get_default_group | ( |  | ) | const

Return value: The default group leader window for display.

Returns:
  The default group leader window for display

Since gtkmm 2.4:

Glib::RefPtr<Window> Gdk::Display::get_default_group | ( |  | ) |

Return value: The default group leader window for display.

Returns:
  The default group leader window for display

Since gtkmm 2.4:

Glib::RefPtr<const Screen> Gdk::Display::get_default_screen | ( |  | ) | const

Get the default Gdk::Screen for display .

Returns:
  The default Gdk::Screen object for display

Since gtkmm 2.2:

Glib::RefPtr<Screen> Gdk::Display::get_default_screen | ( |  | ) |

Get the default Gdk::Screen for display .

Returns:
  The default Gdk::Screen object for display

Since gtkmm 2.2:

guint32 Gdk::Display::get_drag_protocol | ( | guint32 | xid,
|  | GdkDragProtocol & | protocol |
| ) |  |  |

Finds out the DND protocol supported by a window.

Since gtkmm 2.2:

Parameters:

  | xid | The X id of the destination window.
  | protocol | Location where the supported DND protocol is returned.

Returns:
  The X id of the window where the drop should happen. This may be xid or the X id of a proxy window, or None if xid doesn't support Drag and Drop.

const GdkEvent* Gdk::Display::get_event | ( |  | ) | const

Gets the next Gdk::Event to be processed for display , fetching events from the windowing system if necessary.

Returns:
  The next Gdk::Event to be processed, or `0` if no events are pending. The returned Gdk::Event should be freed with gdk_event_free().

Since gtkmm 2.2:

GdkEvent* Gdk::Display::get_event | ( |  | ) |

Gets the next Gdk::Event to be processed for display , fetching events from the windowing system if necessary.

Returns:
  The next Gdk::Event to be processed, or `0` if no events are pending. The returned Gdk::Event should be freed with gdk_event_free().

Since gtkmm 2.2:

const GdkKeymap* Gdk::Display::get_keymap | ( |  | ) | const

Returns:
  The Gdk::Keymap attached to display .

the Gdk::Keymap attached to display .

Since gtkmm 2.2:

GdkKeymap* Gdk::Display::get_keymap | ( |  | ) |

Returns:
  The Gdk::Keymap attached to display .

the Gdk::Keymap attached to display .

Since gtkmm 2.2:

void Gdk::Display::get_maximal_cursor_size | ( | guint & | width,
|  | guint & | height |
| ) |  |  |

Gets the maximal size to use for cursors on display .

Since gtkmm 2.4:

Parameters:

  | width | The return location for the maximal cursor width.
  | height | The return location for the maximal cursor height.

int Gdk::Display::get_n_screens | ( |  | ) | const

Gets the number of screen managed by the display .

Returns:
  Number of screens.

Since gtkmm 2.2:

Glib::ustring Gdk::Display::get_name | ( |  | ) | const

Gets the name of the display.

Returns:
  A string representing the display name. This string is owned by GDK and should not be modified or freed.

Since gtkmm 2.2:

void Gdk::Display::get_pointer | ( | int & | x,
|  | int & | y,
|  | ModifierType& | mask |
| ) |  |  |

Gets the current location of the pointer and the current modifier mask for a given display.

Parameters:

  | x | location to store root window X coordinate of pointer.
  | y | location to store root window Y coordinate of pointer.
  | mask | location to store current modifier mask.

void Gdk::Display::get_pointer | ( | Glib::RefPtr<Screen>& | screen,
|  | int & | x,
|  | int & | y,
|  | ModifierType& | mask |
| ) |  |  |

Gets the current location of the pointer and the current modifier mask for a given display.

Parameters:

  | screen | location to store the screen that the cursor is on.
  | x | location to store root window X coordinate of pointer.
  | y | location to store root window Y coordinate of pointer.
  | mask | location to store current modifier mask.

Glib::RefPtr<const Screen> Gdk::Display::get_screen | ( | int | screen_num | ) | const

Returns: the Gdk::Screen object.

Parameters:

  | screen_num | The screen number.

Returns:
  The Gdk::Screen object

Since gtkmm 2.2:

Glib::RefPtr<Screen> Gdk::Display::get_screen | ( | int | screen_num | ) |

Returns: the Gdk::Screen object.

Parameters:

  | screen_num | The screen number.

Returns:
  The Gdk::Screen object

Since gtkmm 2.2:

Glib::RefPtr<Window> Gdk::Display::get_selection_owner | ( | const Glib::ustring & | selection | ) |

Glib::RefPtr<const Window> Gdk::Display::get_window_at_pointer | ( |  | ) | const

Obtains the window underneath the mouse pointer.

Returns a null RefPtr if the window under the mouse pointer is not known to GDK (for example, belongs to another application).

Returns:
  The window underneath the mouse pointer.

Glib::RefPtr<Window> Gdk::Display::get_window_at_pointer | ( |  | ) |

Obtains the window underneath the mouse pointer.

Returns a null RefPtr if the window under the mouse pointer is not known to GDK (for example, belongs to another application).

Returns:
  The window underneath the mouse pointer.

Glib::RefPtr<const Window> Gdk::Display::get_window_at_pointer | ( | int & | win_x,
|  | int & | win_y |
| ) |  |  | const

Obtains the window underneath the mouse pointer, returning the location of that window in win_x , win_y for screen .

Returns `0` if the window under the mouse pointer is not known to GDK (for example, belongs to another application).

Parameters:

  | win_x | Return location for origin of the window under the pointer.
  | win_y | Return location for origin of the window under the pointer.

Returns:
  The window under the mouse pointer, or `0`

Since gtkmm 2.2:

Glib::RefPtr<Window> Gdk::Display::get_window_at_pointer | ( | int & | win_x,
|  | int & | win_y |
| ) |  |  |

Obtains the window underneath the mouse pointer, returning the location of that window in win_x , win_y for screen .

Returns `0` if the window under the mouse pointer is not known to GDK (for example, belongs to another application).

Parameters:

  | win_x | Return location for origin of the window under the pointer.
  | win_y | Return location for origin of the window under the pointer.

Returns:
  The window under the mouse pointer, or `0`

Since gtkmm 2.2:

const GdkDisplay* Gdk::Display::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkDisplay* Gdk::Display::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkDisplay* Gdk::Display::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gdk::Display::keyboard_ungrab | ( | guint32 | timestamp | ) |

Release any keyboard grab.

Since gtkmm 2.2:

Parameters:

  | timestamp | A timestap (e.g Gdk::CURRENT_TIME).

Glib::ListHandle<Glib::RefPtr<const Device>> Gdk::Display::list_devices | ( |  | ) | const

Return value: a list of Gdk::Device.

Returns:
  A list of Gdk::Device

Since gtkmm 2.2:

Glib::ListHandle<Glib::RefPtr<Device>> Gdk::Display::list_devices | ( |  | ) |

Return value: a list of Gdk::Device.

Returns:
  A list of Gdk::Device

Since gtkmm 2.2:

Glib::RefPtr<const Pixmap> Gdk::Display::lookup_pixmap | ( | NativeWindow | anid | ) | const

Looks up the Gdk::Pixmap that wraps the given native pixmap handle.

For example in the X backend, a native pixmap handle is an Xlib <type>XID</type>.

Parameters:

  | anid | A native pixmap handle.

Returns:
  The Gdk::Pixmap wrapper for the native pixmap, or `0` if there is none.

Since gtkmm 2.2:

Glib::RefPtr<Pixmap> Gdk::Display::lookup_pixmap | ( | NativeWindow | anid | ) |

Looks up the Gdk::Pixmap that wraps the given native pixmap handle.

For example in the X backend, a native pixmap handle is an Xlib <type>XID</type>.

Parameters:

  | anid | A native pixmap handle.

Returns:
  The Gdk::Pixmap wrapper for the native pixmap, or `0` if there is none.

Since gtkmm 2.2:

virtual void Gdk::Display::on_closed | ( | bool | is_error | ) | `[protected, virtual]`

static Glib::RefPtr<Display> Gdk::Display::open | ( | const Glib::ustring & | display_name | ) | `[static]`

Opens a display.

Since gtkmm 2.2:

Parameters:

  | display_name | The name of the display to open.

Returns:
  A Gdk::Display, or `0` if the display could not be opened.

static Glib::RefPtr<Display> Gdk::Display::open_default_libgtk_only | ( |  | ) | `[static]`

Opens the default display specified by command line arguments or environment variables, sets it as the default display, and returns it.

gdk_parse_args must have been called first. If the default display has previously been set, simply returns that. An internal function that should not be used by applications.

Returns:
  The default display, if it could be opened, otherwise `0`.

GdkEvent* Gdk::Display::peek_event | ( |  | ) | const

Gets a copy of the first Gdk::Event in the display 's event queue, without removing the event from the queue.

(Note that this function will not get more events from the windowing system. It only checks the events that have already been moved to the GDK event queue.)

Returns:
  A copy of the first Gdk::Event on the event queue, or `0` if no events are in the queue. The returned Gdk::Event should be freed with gdk_event_free().

Since gtkmm 2.2:

GdkEvent* Gdk::Display::peek_event | ( |  | ) |

Gets a copy of the first Gdk::Event in the display 's event queue, without removing the event from the queue.

(Note that this function will not get more events from the windowing system. It only checks the events that have already been moved to the GDK event queue.)

Returns:
  A copy of the first Gdk::Event on the event queue, or `0` if no events are in the queue. The returned Gdk::Event should be freed with gdk_event_free().

Since gtkmm 2.2:

bool Gdk::Display::pointer_is_grabbed | ( |  | ) | const

Test if the pointer is grabbed.

Returns:
  `true` if an active X pointer grab is in effect

Since gtkmm 2.2:

void Gdk::Display::pointer_ungrab | ( | guint32 | timestamp | ) |

Release any pointer grab.

Since gtkmm 2.2:

Parameters:

  | timestamp | A timestap (e.g. GDK_CURRENT_TIME).

void Gdk::Display::put_event | ( | GdkEvent * | event | ) |

Appends a copy of the given event onto the front of the event queue for display .

Since gtkmm 2.2:

Parameters:

  | event | A Gdk::Event.

bool Gdk::Display::request_selection_notification | ( | const Glib::ustring & | selection | ) |

Request Gdk::EventOwnerChange events for ownership changes of the selection named by the given atom.

Parameters:

  | selection | The Gdk::Atom naming the selection for which ownership change notification is requested.

Returns:
  Whether Gdk::EventOwnerChange events will be sent.

Since gtkmm 2.6:

void Gdk::Display::selection_send_notify | ( | guint32 | requestor,
|  | Glib::ustring & | selection,
|  | Glib::ustring & | target,
|  | Glib::ustring & | property,
|  | guint32 | time_ |
| ) |  |  |

void Gdk::Display::set_double_click_distance | ( | guint | distance | ) |

Sets the double click distance (two clicks within this distance count as a double click and result in a Gdk::2BUTTON_PRESS event).

See also set_double_click_time(). Applications should not set this, it is a global user-configured setting.

Since gtkmm 2.4:

Parameters:

  | distance | Distance in pixels.

void Gdk::Display::set_double_click_time | ( | guint | msec | ) |

Sets the double click time (two clicks within this time interval count as a double click and result in a Gdk::2BUTTON_PRESS event).

Applications should not set this, it is a global user-configured setting.

Since gtkmm 2.2:

Parameters:

  | msec | Double click time in milliseconds (thousandths of a second).

GdkDisplayPointerHooks* Gdk::Display::set_pointer_hooks | ( | const GdkDisplayPointerHooks * | new_hooks | ) |

This function allows for hooking into the operation of getting the current location of the pointer on a particular display.

This is only useful for such low-level tools as an event recorder. Applications should never have any reason to use this facility.

newin2p2

Parameters:

  | new_hooks | A table of pointers to functions for getting quantities related to the current pointer position.

Returns:
  The previous pointer hook table.

bool Gdk::Display::set_selection_owner | ( | const Glib::RefPtr<Window>& | owner,
|  | Glib::ustring & | selection,
|  | guint32 | time_,
|  | bool | send_event |
| ) |  |  |

Glib::SignalProxy1< void,bool > Gdk::Display::signal_closed | ( |  | ) |

The closed signal is emitted when the connection to the windowing system for this display is closed.

Parameters:

  | is_error | true if the display was closed due to an error

Prototype:
  `void on_my_closed(bool is_error)`

void Gdk::Display::store_clipboard | ( | const Glib::RefPtr<Gdk::Window>& | clipboard_window,
|  | guint32 | time_,
|  | const Glib::StringArrayHandle & | targets |
| ) |  |  |

void Gdk::Display::store_clipboard | ( | const Glib::RefPtr<Gdk::Window>& | clipboard_window,
|  | guint32 | time_ |
| ) |  |  |

Issues a request to the clipboard manager to store the clipboard data, saving all available targets.

On X11, this is a special program that works according to the freedesktop clipboard specification, available at http://www.freedesktop.org/Standards/clipboard-manager-spec.

Since gtkmm 2.6:

Parameters:

  | clipboard_window | A Gdk::Window belonging to the clipboard owner.
  | time_ | A timestamp.

bool Gdk::Display::supports_clipboard_persistence | ( |  | ) | const

Returns: `true` if the display supports clipboard persistance.

Returns:
  `true` if the display supports clipboard persistance.

Since gtkmm 2.6:

bool Gdk::Display::supports_composite | ( |  | ) | const

Returns: `true` if windows may be composited.

Returns:
  `true` if windows may be composited.

Since gtkmm 2.12:

bool Gdk::Display::supports_cursor_alpha | ( |  | ) | const

Returns: whether cursors can have alpha channels.

Returns:
  Whether cursors can have alpha channels.

Since gtkmm 2.4:

bool Gdk::Display::supports_cursor_color | ( |  | ) | const

Returns: whether cursors can have multiple colors.

Returns:
  Whether cursors can have multiple colors.

Since gtkmm 2.4:

bool Gdk::Display::supports_input_shapes | ( |  | ) | const

Returns: `true` if windows with modified input shape are supported.

Returns:
  `true` if windows with modified input shape are supported

Since gtkmm 2.10:

bool Gdk::Display::supports_selection_notification | ( |  | ) | const

Return value: whether Gdk::EventOwnerChange events will.

Returns:
  Whether Gdk::EventOwnerChange events will be sent.

Since gtkmm 2.6:

bool Gdk::Display::supports_shapes | ( |  | ) | const

Returns: `true` if shaped windows are supported.

Returns:
  `true` if shaped windows are supported

Since gtkmm 2.10:

void Gdk::Display::sync | ( |  | ) |

Flushes any requests queued for the windowing system and waits until all requests have been handled.

This is often used for making sure that the display is synchronized with the current state of the program. Calling sync() before gdk_error_trap_pop() makes sure that any errors generated from earlier requests are handled before the error trap is removed.

This is most useful for X11. On windowing systems where requests are handled synchronously, this function will do nothing.

Since gtkmm 2.2:

GdkDisplayPointerHooks* Gdk::Display::unset_pointer_hooks | ( |  | ) |

void Gdk::Display::warp_pointer | ( | const Glib::RefPtr<Screen>& | screen,
|  | int | x,
|  | int | y |
| ) |  |  |

Warps the pointer of display to the point x , y on the screen screen , unless the pointer is confined to a window by a grab, in which case it will be moved as far as allowed by the grab.

Warping the pointer creates events as if the user had moved the mouse instantaneously to the destination.

Note that the pointer should normally be under the control of the user. This function was added to cover some rare use cases like keyboard navigation support for the color picker in the Gtk::ColorSelectionDialog.

Since gtkmm 2.8:

Parameters:

  | screen | The screen of display to warp the pointer to.
  | x | The x coordinate of the destination.
  | y | The y coordinate of the destination.

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::Display> wrap | ( | GdkDisplay * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- display.h